Bug 139619 - Saved custom theme crashes gnome-theme-manager
Summary: Saved custom theme crashes gnome-theme-manager
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-16 22:47 UTC by Mark Rush
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 22:50:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Rush 2004-11-16 22:47:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I create a custom theme out of available default controls, window
borders, and icons, and save the theme.  I then try to open
gnome-theme-manager, and it crashes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create custom theme.
2. Save the custom theme, and close out of gnome-theme-manager.
3. Try to reopen gnome-theme-manager.
    

Actual Results:  Gnome-theme-manager crashes unexpectedly.

Expected Results:  Should see normal gnome theme manager.

Additional info:

Comment 1 Mark Rush 2004-11-22 16:17:04 UTC
Latest round of updates as of 11-22-04 has fixed this.

Comment 2 Mostafa Afgani 2004-12-29 22:59:33 UTC
I am experiencing the same problem although I do have the latest
updates available through up2date/yum. For me gnome-theme-manager
crashes everytime I have something in the ~/.themes folder - be it a
customized theme or something else downloaded from the internet..

Funny thing is I tried a 'strace' and it worked flawlessly .. So, in
summery:

$ strace gnome-theme-manager   [WORKS]
$ gnome-theme-manager          [CRASHES]

The error that it spits out is:

The Application "gnome-theme-manager" has quit unexpectedly. [...]

"Restart Application" just comes back with the same thing..

Additional note: gnome-keybinding-properties also crashes when there
are themes in ~/.themes

Relevant version #: control-center-2.8.0-12


Comment 3 Robert 2004-12-29 23:03:54 UTC
I have all updates installed and still have this crash issue. Exact
same as Comment #2. I also have control-center-2.8.0-12

Comment 4 Matthew Miller 2006-07-10 23:12:00 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 John Thacker 2006-10-30 22:50:50 UTC
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.